# 36. Мутация: добавить несколько "Comments" к выбранным "Notes"

Эта мутация позволяет добавить несколько комментариев к выбранной заметке.

{% hint style="success" %}
Максимальное количество комментариев для сохранения — 25.
{% endhint %}

* Комментарий может быть связан с полем через его уникальный идентификатор `fieldUuid` и с заметкой через `noteUuid`.
* Содержимое комментария можно передать с помощью атрибута `текст` Если содержимое должно быть многострочным, атрибут `текст` должен содержать строку с символами переноса строки `\\n` чтобы разделять строки. Например: `"Первая строка. находится здесь\\nВторая строка находится здесь.\\nТретья строка находится здесь."`.
* Можно указать определённую дату и время, связанные с комментарием, используя атрибут `датаСоздания` в формате ISO8601.

Пример запроса приведён ниже:

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchAddNoteComments {
  addNoteComments(input:{
    comments: [
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "4-й комментарий из нескольких.",
        createdDate: "2020-08-25T06:06:06.000Z"
      }, 
      {
        noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
        fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
        text: "5-й комментарий из нескольких.\\nВторая строка комментария.",
        createdDate: "2020-08-25T06:06:07.000Z"
      }
    ]
  }) {
    uuid
    fieldUuid
    noteUuid
    датаСоздания
    updatedDate
    текст
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-api-geopard/zametki-tochki/36.-mutaciya-dobavit-neskolko-comments-k-vybrannym-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
